Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.dependencyGraph
Class ContainerDependencyGraphFormatter

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFormatter<G>
          kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.AbstractDependencyGraphFormatter<ContainerDependencyGraph>
              kieker.tools.traceAnalysis.filter.visualization.dependencyGraph.ContainerDependencyGraphFormatter

    public class ContainerDependencyGraphFormatter

extends AbstractDependencyGraphFormatter<ContainerDependencyGraph>

Formatter for container dependency graphs.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`ContainerDependencyGraphFormatter()` Creates a new formatter.

Method Summary
`String` | `getDefaultFileName()` Returns the default file name suggested by this formatter.

Methods inherited from class kieker.tools.traceAnalysis.filter.visualization.AbstractGraphFormatter
`createFormattedRepresentation, formatDecorations, getDotRepresentation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContainerDependencyGraphFormatter

    public ContainerDependencyGraphFormatter()

  Creates a new formatter.

Method Detail

### getDefaultFileName

    public String getDefaultFileName()

  Description copied from class: `AbstractGraphFormatter`
  Returns the default file name suggested by this formatter.

  Specified by:
    `getDefaultFileName` in class `AbstractGraphFormatter<ContainerDependencyGraph>`
  Returns:
    See above

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net